Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DistributedObjectBase Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | getLocation
def | getParentObj
def | handleChildArrive
def | handleChildArriveZone
def | handleChildLeave
def | handleChildLeaveZone
def | handleQueryObjectChildrenLocalDone
def | hasParentingRules
def | status
## Public Attributes
| children
| cr
| parentId
| zoneId
## Static Public Attributes
tuple | notify = directNotify.newCategory("DistributedObjectBase")

## Detailed Description

    The Distributed Object class is the base class for all network based
    (i.e. distributed) objects.  These will usually (always?) have a
    dclass entry in a *.dc file.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cr
| ) |  |

## Member Function Documentation

def getLocation | ( |  | self | ) |

def getParentObj | ( |  | self | ) |

def handleChildArrive | ( |  | self,
|  |  | childObj,
|  |  | zoneId
| ) |  |

    A new child has just setLocation beneath us.  Give us a
    chance to run code when a new child sets location to us. For
    example, we may want to scene graph reparent the child to
    some subnode we own.

def handleChildArriveZone | ( |  | self,
|  |  | childObj,
|  |  | zoneId
| ) |  |

    A child has just changed zones beneath us with setLocation.
    Give us a chance to run code when an existing child sets
    location to us. For example, we may want to scene graph
    reparent the child to some subnode we own.

def handleChildLeave | ( |  | self,
|  |  | childObj,
|  |  | zoneId
| ) |  |

    A child is about to setLocation away from us.  Give us a
    chance to run code just before a child sets location away from us.

def handleChildLeaveZone | ( |  | self,
|  |  | childObj,
|  |  | zoneId
| ) |  |

    A child is about to setLocation to another zone beneath us.
    Give us a chance to run code just before a child sets
    location to that zone.

def handleQueryObjectChildrenLocalDone | ( |  | self,
|  |  | context
| ) |  |

def hasParentingRules | ( |  | self | ) |

def status | ( |  | self,
|  |  | indent = `0`
| ) |  |

    print out "doId(parentId, zoneId) className"

## Member Data Documentation

children

cr

tuple notify = directNotify.newCategory("DistributedObjectBase")`[static]`

parentId

zoneId

All Classes Namespaces Functions Variables Enumerations Enumerator Properties